For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • PATCHUpdate
      • POSTPrompt Agent
      • POSTStream Prompt Agent
      • POSTPublic Prompt Agent
LogoLogo
BlogLogin
API Referenceagents

Detail

GET
https://api.flockx.io/api/v1/agents/:id
GET
/api/v1/agents/:id
$curl https://api.flockx.io/api/v1/agents/id \
> -H "Authorization: <apiKey>"
1{
2 "id": "foo",
3 "name": "foo",
4 "description": "foo",
5 "organization": {
6 "id": "foo",
7 "name": "foo",
8 "owner": {
9 "display_name": "",
10 "image_url": "https://res.cloudinary.com/fetch-ai/image/upload/v1724200421/Default_Avatar_uk7jyj.svg"
11 }
12 },
13 "images": {
14 "image_url": "foo",
15 "banner_url": "foo"
16 },
17 "features": {
18 "discover_activity": true,
19 "location_learning": true,
20 "enable_proactive_message": true,
21 "general_web_search": true,
22 "general_agent_search": true,
23 "planner_mode": true,
24 "enable_media_capability": true,
25 "telegram": true,
26 "discord": true,
27 "calendar_enabled": true,
28 "whatsapp": true,
29 "sms": true,
30 "asi": true,
31 "agentverse": true,
32 "widget_enabled": true
33 },
34 "personality": "",
35 "personal": true,
36 "knowledge_graph": {
37 "id": "foo",
38 "name": "foo"
39 },
40 "website": "foo",
41 "agent_capabilities": "foo",
42 "logic_model_temperature": 0.1,
43 "agent_address": "foo",
44 "agent_handle": "foo",
45 "voice_id": "jqcCZkN6Knx8BJ5TBdYR",
46 "point_of_interest": {
47 "name": "foo",
48 "display_name": "foo",
49 "provider_type": "foo",
50 "street": "foo",
51 "city": "foo",
52 "state": "foo",
53 "postal_code": "foo",
54 "country": "foo",
55 "id": "foo",
56 "description": "",
57 "external_id": "foo",
58 "location": {
59 "type": "Point",
60 "coordinates": [
61 42
62 ]
63 },
64 "url": "",
65 "image_url": "",
66 "metadata": {}
67 },
68 "category": "business_owner",
69 "interest_tags": [
70 "foo"
71 ],
72 "meta_data": {}
73}
Get details of an agent in your organization.
Was this page helpful?
Previous

Update

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
namestring
descriptionstring
organizationobject or null
Schema for the Organization
imagesobject
featuresobject
personalitystringDefaults to
personalboolean or nullDefaults to false
Is the agent a personal agent or a public agent. If personal is true the agent will not be listed on marketplaces, if it false then it will be.
knowledge_graphobject or null
Knowledge graph for the agent
websitestring
agent_capabilitiesstring or null
logic_model_temperaturedoubleDefaults to 0.1
Temperature for the logic model
agent_addressstring or null
agent_handlestring or null

Agentverse handle for the agent (e.g. ‘my-agent-handle’ for @my-agent-handle.av)

voice_idstringDefaults to jqcCZkN6Knx8BJ5TBdYR
ElevenLabs voice ID used for TTS playback of this agent's responses.
point_of_interestobject or null
Location information for the agent.
categoryenum or null
interest_tagslist of strings
meta_datamap from strings to any

Errors

422
Unprocessable Entity Error